AdminBenchmarksBenchmarkidStt samples
Добавить эталонный STT-образец. `FileId` — заранее загруженный через `POST /api/files/generate-upload-url` файл. Handler сконвертирует в WAV PCM 16k mono, сохранит его в bench-namespace, оригинал в user-namespace останется как есть.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using Bearer scheme
In: header
Path Parameters
benchmarkId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://api.speaknode.com/api/Admin/benchmarks/497f6eca-6276-4993-bfeb-53cbbbba6f08/stt-samples" \ -H "Content-Type: application/json" \ -d '{}'{
"sample_id": "c94907f0-0a7b-412b-9563-59396ce4afee",
"original_audio_object_storage_path": "string",
"audio_object_storage_path": "string",
"audio_url": "string",
"original_audio_url": "string",
"duration_ms": 0,
"sample_rate_hz": 0
}